Export

- « ReflectionClassConstant::__construct

- ReflectionClassConstant::getAttributes »

- PHP Manual
- ReflectionClassConstant
- Export

# ReflectionClassConstant::export

(PHP 7 >= 7.1.0)

ReflectionClassConstant::export — Export

Warning

This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

public static ReflectionClassConstant::export(mixed `$class`, string `$name`, bool `$return` = ?): string

Exports a reflection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`class`

  The reflection to export.

`name`

  The class constant name.

`return`

  Setting to `true` will return the export, as opposed to emitting it. Setting to `false` (the default) will do the opposite.

### Return Values

### See Also

- ReflectionClassConstant::__toString() - Returns the string representation of the ReflectionClassConstant object